Help get this topic noticed by sharing it on Twitter, Facebook, or email.
I’m frustrated

firefos - Ahhhhh!!!

I love Xmarks; BUT, I think you need to get rid of Xmarks 4.1 and allow downloads of the previous version. Xmarks 4.1 totally does not work with Firefox.
1 person has
this question
+1
Reply